Autore Topic: Installazione non conforme di Joomla! con Provider ....  (Letto 260 volte)

Offline RickyCast

  • Nuovo arrivato
  • *
  • Post: 49
  • Sesso: Maschio
    • Mostra profilo
Buongiorno. Dopo almeno due anni di assenza, torno ad occuparmi di Joomla!, quindi sono comunque molto arrugginito oltre che ignorante.
Premetto quanto segue: la nostra Società è titolare da molto tempo di due Domini gestiti dal Provider A....a. e la direzione non intende trasferirli. In uno dei domini risiede il Sito principale della ditta (sito vetrina), che ho realizzato io molti anni fa scrivendo a mano ogni stringa in HTML. Nell'altro dominio un collaboratore che non è più con noi, aveva installato il sito di eCommerce, realizzato con Joomla! 1.5. Il sito di eCommerce viene raggiunto dal sito principale con opportuni Link e il tutto funziona ancora adesso in maniera soddisfacente.
Da poco tempo è stato deciso che il Sito vetrina deve essere aggiornato e contenere anche il sito eCommerce. Per ovvie ragioni ho suggerito di utilizzare direttamente Joonla! visto che comunque sarà necessario trasferire tutti i dati dei Clienti sul nuovo sito.
Così ho fatto aggiornare il dominio principale aggiungendo l'hosting linux ed ho utilizzato la App compresa nell'Hosting per installare automaticamente Joomla!. Tutto molto semplice e facile, però alla fine ho scoperto che per raggiungere il sito, avrei dovuto digitare lnx.miosito.it/sottocartella/administrator/ 
e non www.miosito.it/sottocartella/administrator/  come invece posso fare per il sito di eCommerce, che è raggiungibile banalmente con https://www.miodominio.it/mioECommerce/administrator/index.php (ovvio che il dominio su cui risiede il sito eCommerce ha anche l'hosting linux).
Qusto non è piaciuto alla direzione e quindi sto cecando di capire come rimediare a questo problema, facendo in modo che il sito sia raggiungibile con il classico www: qualcuno può aiutarmi?
Per prova ho anche ripetuto l'installazione tramite App dell'Hosting ma passando dal domino in cui risiede il sito eCommerce (invece che dal domino del sito principale) e in questo caso ho ottenuto di raggiungere in nuovo sito tramite www e non lnx. Avrei anche potuto mantenere questo sito ma purtroppo il vecchio sito eCommerce funziona solo con versioni 5.3 di PHP e non mi sembrava il caso di usare questa versione con Joomla! 3.9.
Aggiungo anche che ho provato tramite FTP a creare una nuova cartella nel sito principale e a copiarci dentro il nuovo Joomla! scaricato dal vostro sito, ma quando cerco di installarlo mi comunica che ci sono errori dovuti alla mancanza di alcuni file php. Lo stesso FileZilla mi aveva indicato di non poter copiare i file php per mancanza di password. Altro fatto per me incomprensibile.
Spero quindi che in un modo o nell'altro qualcuno sia in grado di dirmi come fare per arrivare alla soluzione.
Grazie in anticipo e cordiali saluti.
« Ultima modifica: 17 Giu 2019, 14:42:39 da RickyCast »

Online tomtomeight

  • Global Moderator
  • Fuori controllo
  • ********
  • Post: 30326
  • Sesso: Maschio
  • Gli automatismi aiutano ma non insegnano nulla.
    • Mostra profilo
Re:Installazione non conforme di Joomla! con Provider ....
« Risposta #1 il: 17 Giu 2019, 14:58:19 »
È solo un problema di configurazione del puntamento del dominio linux, chiedi ad aruba o leggi le documentazioni su come cambiare il puntamento da lnx a www
NEWS DataGrill Xataface Installer (Ver. 1.0.1) per Joomla 3.8.x - DEMO Gestione Magazzino

Offline RickyCast

  • Nuovo arrivato
  • *
  • Post: 49
  • Sesso: Maschio
    • Mostra profilo
Re:Installazione non conforme di Joomla! con Provider ....
« Risposta #2 il: 17 Giu 2019, 16:36:51 »
Grazie.Se  intendi una finestra come questa, magari sono io che ho fatto confusione prima di installare; adesso riprovo.
Comunque, se volessi copiare sul mio dominio la nuova versione di Joomla! evitando che FileZilla mi avverta che non può copiare i File php, come dovrei fare?

Offline RickyCast

  • Nuovo arrivato
  • *
  • Post: 49
  • Sesso: Maschio
    • Mostra profilo
Re:Installazione non conforme di Joomla! con Provider ....
« Risposta #3 il: 17 Giu 2019, 16:50:47 »
Ho appena provato a creare un nuovo Sito Joomla! con l'App del provider e prima di iniziare mi sono sincerato che l'indirizzamento fosse impostato su Windows ma continuo a vedere che l'App mi propone lnx.miodominio, quindi non vado oltre perchè otterrei sempre lo stesso risultato. Forse bisogna fare qualcos'altro e il Provider, al quale ho scritto, non da risposte rapide.

Offline danielecr

  • Abituale
  • ****
  • Post: 1263
    • Mostra profilo
Re:Installazione non conforme di Joomla! con Provider ....
« Risposta #4 il: 17 Giu 2019, 16:58:58 »
Se hai qualcosa su hosting windows ti consiglio di trasferire tutto su hosting linux e di lasciar perdere windows.
Citazione
mi sono sincerato che l'indirizzamento fosse impostato su Windows
Dalla finestra che hai allegato punta verso linux non windows, in questo modo quando digiti www verrai reindirizzato sull'hosting linux.
aruba non la conosco, ma è l'equivalente di entrare nell'edito dei dns dal pannello di controllo.

Offline RickyCast

  • Nuovo arrivato
  • *
  • Post: 49
  • Sesso: Maschio
    • Mostra profilo
Re:Installazione non conforme di Joomla! con Provider ....
« Risposta #5 il: 17 Giu 2019, 17:25:52 »
La finestra è solo un esempio.  Io ho impostato la scelta su Windows e poi ho detto al sistema di procedere; anzi, per prudenza ho fatto la stessa scelta su entrambi i domini. Quando parli di DNS cosa intendi? Sono piuttoto indietro sull'argomento,...

Online tomtomeight

  • Global Moderator
  • Fuori controllo
  • ********
  • Post: 30326
  • Sesso: Maschio
  • Gli automatismi aiutano ma non insegnano nulla.
    • Mostra profilo
Re:Installazione non conforme di Joomla! con Provider ....
« Risposta #6 il: 17 Giu 2019, 19:04:12 »
Se devi mantenere il vecchio su Windows non puoi puntare su hosting Linux altrimenti il win non sarà più raggiungibile, lascia per il tempo che finisci il nuovo l'accesso con lnx poi passi a Linux e lnx scomparirà.

Poi che significa questo?

Codice: [Seleziona]
Comunque, se volessi copiare sul mio dominio la nuova versione di Joomla! evitando che FileZilla mi avverta che non può copiare i File php, come dovrei fare?
Quando mai filezilla impedisce di copiare file php?
NEWS DataGrill Xataface Installer (Ver. 1.0.1) per Joomla 3.8.x - DEMO Gestione Magazzino

Offline RickyCast

  • Nuovo arrivato
  • *
  • Post: 49
  • Sesso: Maschio
    • Mostra profilo
Re:Installazione non conforme di Joomla! con Provider ....
« Risposta #7 il: 18 Giu 2019, 14:32:50 »
A me è successo solo questa mattina di avere cercato di copiare con FileZilla il contenuto scompattato di Joomla! 3.7 su una cartella del mio dominio e che almeno 6 File non siano satai copiati; fra questi anche uno con estensione php.Ma non è certo un problema, li ho installati a mano successivamente e adesso sono riuscito ad installare Joomla! 3.7.però con diversi problemi: primo la lingua (è in inglese), secondo questo messaggio al quale non so dare rimedio(We have detected that your server is using PHP 5.6.40 which is obsolete and no longer receives official security updates by its developers. The Joomla! Project recommends upgrading your site to PHP 7.1 or later which will receive security updates at least until 2019-12-01. Please ask your host to make PHP 7.1 or a later version the default version for your site. If your host is already PHP 7.1 ready please enable PHP 7.1 on your site's root and 'administrator' directories – typically you can do this yourself through a tool in your hosting control panel, but it's best to ask your host if you are unsure.) visto che di fatto l'hosting utilizza PHP 7.1; terzo, ho tentato di efettuare l'aggiornamento a Joomla! 3.9 ma si è fermato con avvisi che non ho neppure memorizzato.Se mi confermi che al termine della mia configurazione definitiva del Sito potrò avere un indirizzamento con www, allora mi conviene fare come dici tu.

Online tomtomeight

  • Global Moderator
  • Fuori controllo
  • ********
  • Post: 30326
  • Sesso: Maschio
  • Gli automatismi aiutano ma non insegnano nulla.
    • Mostra profilo
Re:Installazione non conforme di Joomla! con Provider ....
« Risposta #8 il: 18 Giu 2019, 20:38:31 »
aruba ha un pannello ove puoi scegliere versione php p configurazione mirata per tipo di cms. Perché installare versione vecchi e poi aggiornare, non e meglio installare da subito l'ultima disponibile? Confermo per il www.
NEWS DataGrill Xataface Installer (Ver. 1.0.1) per Joomla 3.8.x - DEMO Gestione Magazzino

Offline RickyCast

  • Nuovo arrivato
  • *
  • Post: 49
  • Sesso: Maschio
    • Mostra profilo
Re:Installazione non conforme di Joomla! con Provider ....
« Risposta #9 il: 25 Giu 2019, 10:51:43 »
Scusa se ti rispondo solo adesso.
Grazie per l'aiuto, farò come suggerisci tu.
Saluti

 

Host

Torna su